# eric3.XML.XMLMessageDialog

Module implementing a dialog to display XML parse messages.

### Classes

XMLMessageDialog | Class implementing a dialog to display XML parse messages.

### Functions

None

## XMLMessageDialog

Class implementing a dialog to display XML parse messages.

### Derived from

XMLMessageForm

### Methods

XMLMessageDialog | Constructor

### XMLMessageDialog (Constructor)

XMLMessageDialog(msgs, parent = None)

Constructor

msgs
  list of tuples of (message type, system id, line no, column no, message)
parent
  parent object of the dialog (QWidget)

Up